This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Server libgcrypt Cryptographic Module
Certificate details
| Certificate ID | #3848 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 15.03.2021 , 28.11.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | SUSE Libgcrypt is a general purpose cryptographic library based on the code from GnuPG. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, Serpent, CAST5, RC2, RC4, DES, Triple-DES, TDES, TDEA, ChaCha20, Salsa20, Poly1305, IDEA, Camellia, SEED, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, EdDSA, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, Blake2, MD4, MD5, Streebog, Whirpool, PBKDF, PBKDF2Schemes
MAC, Key ExchangeProtocols
SSH, TLS, IKERandomness
DRBG, RNGLibraries
libgcryptElliptic Curves
P-256, P-384, P-521, P-192, P-224, Curve25519, Ed25519Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XEX, XTSSecurity level
level 1Side-channel analysis
Timing Attacks, timing attacksStandards
FIPS 140-2, FIPS197, FIPS186-4, FIPS198-1, FIPS202, FIPS180-4, FIPS 186-4, FIPS PUB 140-2, SP 800-57, PKCS#1, RFC5246, RFC4253, RFC7296Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3848,
"dgst": "ae6ce4a7288056e4",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC#A118",
"DRBG#A118",
"ECDSA#A118",
"KTS#A118",
"DSA#A118",
"#A118",
"RSA#A118",
"AES#A118",
"SHA-3#A118",
"Triple-DES#A118",
"SHS#A118"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 27
},
"EdDSA": {
"EdDSA": 2
}
},
"FF": {
"DSA": {
"DSA": 40
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"CCM": {
"CCM": 3
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 3
},
"XEX": {
"XEX": 1
},
"XTS": {
"XTS": 7
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"libgcrypt": {
"libgcrypt": 37
}
},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"SSH": {
"SSH": 1
},
"TLS": {
"TLS": {
"TLS": 1
}
}
},
"crypto_scheme": {
"KEX": {
"Key Exchange": 1
},
"MAC": {
"MAC": 11
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 1
},
"Edwards": {
"Ed25519": 1
},
"NIST": {
"P-192": 2,
"P-224": 2,
"P-256": 8,
"P-384": 6,
"P-521": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 30
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES CMAC 128": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 1,
"HMAC SHA-1": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"PKCS#1": 3,
"RSA PKCS#1": 1,
"SHA- 256": 1,
"SHA-1": 15,
"SHA-224": 18,
"SHA-256": 28,
"SHA-3": 2,
"SHA-384": 19,
"SHA-512": 13,
"SHA-512 112": 1,
"SHA-512 2048": 4,
"SHA3-224": 3,
"SHA3-256": 4,
"SHA3-384": 4,
"SHA3-512": 3,
"SHA3-512 112": 1
}
},
"fips_security_level": {
"Level": {
"level 1": 3
}
},
"hash_function": {
"BLAKE": {
"Blake2": 2
},
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 8,
"PBKDF2": 2
},
"SHA": {
"SHA1": {
"SHA-1": 15
},
"SHA2": {
"SHA-224": 18,
"SHA-256": 28,
"SHA-384": 19,
"SHA-512": 18
},
"SHA3": {
"SHA-3": 2,
"SHA3-224": 3,
"SHA3-256": 4,
"SHA3-384": 4,
"SHA3-512": 4
}
},
"Streebog": {
"Streebog": 1
},
"Whirpool": {
"Whirpool": 2
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 30
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 40,
"FIPS 186-4": 3,
"FIPS PUB 140-2": 2,
"FIPS180-4": 2,
"FIPS186-4": 11,
"FIPS197": 2,
"FIPS198-1": 3,
"FIPS202": 2
},
"NIST": {
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 2
},
"RFC": {
"RFC4253": 1,
"RFC5246": 1,
"RFC7296": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 30,
"AES-128": 1,
"AES-192": 1,
"AES-256": 1
},
"CAST": {
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2
},
"Serpent": {
"Serpent": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 29
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 11,
"HMAC": 23,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"djb": {
"ChaCha": {
"ChaCha20": 2
},
"Poly": {
"Poly1305": 2
},
"Salsa": {
"Salsa20": 2
}
},
"miscellaneous": {
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 1
},
"SEED": {
"SEED": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC#A118",
"DRBG#A118",
"ECDSA#A118",
"KTS#A118",
"DSA#A118",
"RSA#A118",
"AES#A118",
"SHA-3#A118",
"Triple-DES#A118",
"SHS#A118"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A118"
]
},
"policy_metadata": {
"/Author": "Traci Porter",
"/CreationDate": "D:20211123133318-06\u002700\u0027",
"/Creator": "Writer",
"/Keywords": "FIPS 140-2",
"/Producer": "OpenOffice 4.1.10",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 395132,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://csrc.nist.gov/",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38b.pdf",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-67r1.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 28
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e3764c768562535f1e0db8c8f5bf04f3e15c6633cf0fcc679ab1b402f7a12117",
"source_hash": "72f2cc24046a23f3430989c1b37dfbeaf9fdc8af9d279e6c576143f20397b374",
"txt_hash": "f6c533384957db58fad4319dccbd53709c80bb39079013db0ef730056b85c1fe"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/March 2021_010421_0724_signed.pdf",
"date_sunset": null,
"description": "SUSE Libgcrypt is a general purpose cryptographic library based on the code from GnuPG.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise Server libgcrypt Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "3.0",
"tested_conf": [
"SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-03-15",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-11-28",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}